Bug 813258 - Disable NLM in case rpc.statd is not installed
Disable NLM in case rpc.statd is not installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: Beta
: ---
Assigned To: Ric Wheeler
Sachidananda Urs
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-17 06:52 EDT by Krishna Srinivas
Modified: 2015-08-10 03:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:45:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Srinivas 2012-04-17 06:52:41 EDT
Disable NLM in case rpc.statd is not installed and log a warning message.
Comment 1 Krishna Srinivas 2012-04-17 06:53:07 EDT
Will commit the changes based on the commit for 812869
Comment 2 Anand Avati 2012-04-19 02:41:45 EDT
CHANGE: http://review.gluster.com/3174 (nfs/nlm: disable NLM if rpc.statd is not found.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 Sachidananda Urs 2012-05-31 11:18:28 EDT
I do not see any logging happening when /sbin/rpc.statd is not present. Need to discuss with Kris before marking this verified.
Comment 5 Sachidananda Urs 2012-06-01 05:25:32 EDT
Logging happens before the vol-file is printed.

Note You need to log in before you can comment on or make changes to this bug.